e-Newsletter plugin support for Wordpress.com

Hi there,

I have just purchased e-Newsletter and attempted to add to Wordpress plugins, only to find that Wordpress.com doesn't allow plugins. Even when upgrading to Wordpress Enterprise, it only allows certain plugins (not this one).

Can you please advise how I can get around this, if possible, and if not if I may get a refund on this as I've not been able to use the service?

Thank you in advance.

Kind regards,
Rebecca Sands
http://www.dailyinspirationboard.com